
%{!?project_version:%define project_version 1.1}
%{!?svn_rev:%define svn_rev 0}

%define debug_package %{nil}

Summary: ADC64 - 64-channel High Speed ADC
Name: adc64
Version: %{project_version}
Release: 1.%{svn_rev}%{?dist}
License: GPL
Group: System Environment/Base
URL: http://afi.jinr.ru/ADC64
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: qt5-qtbase-devel
BuildRequires: desktop-file-utils

%description
ADC64 is a set of programs for online data acquisition with ADC64 boards.

%prep
%setup -q

%build
make %{?_smp_mflags} svn_rev=%{svn_rev} NODEBUG=yes

%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL_ROOT=%{buildroot}%{_prefix}

# Install desktop stuff
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/pixmaps
install -m 644 -T src/%{name}/desktop-icon.png $RPM_BUILD_ROOT/%{_datadir}/pixmaps/%{name}.png

desktop-file-install --vendor afielectronics			\
	--dir ${RPM_BUILD_ROOT}%{_datadir}/applications		\
	--add-category X-AFI-Electronics			\
	src/%{name}/%{name}.desktop

%post

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_bindir}/*
%{_datadir}/pixmaps/%{name}*
%{_datadir}/applications/*


%changelog
* Wed Dec 22 2010  <Ilja.Slepnev@jinr.ru> - 
- Initial build.
